Newer Version Available
sObjects Suggested Articles
Returns results on suggested articles for a Case, Work Order, or Work Order Line. These
suggestions are based on common keywords in the title, description, and other information that’s
entered before the record has been saved and assigned an ID.
Syntax
- Available since release
- 30.0
- Formats
- JSON, XML
- HTTP methods
- GET
- Authentication
- Authorization: Bearer token
- Request body
- None required
- Request parameters
-
Example for getting suggested articles for a case that’s being created
1curl https://MyDomainName.my.salesforce.com/services/data/v56.0/sobjects/Case/suggestedArticles?
2language=en_US&subject=orange+banana&articleTypes=ka0&articleTypes=ka1
3 -H "Authorization: Bearer token"Example JSON response body
1[ {
2 "attributes" : {
3 "type" : "KnowledgeArticleVersion",
4 "url" : "/services/data/v56.0/sobjects/KnowledgeArticleVersion/ka0D00000004CcQ"
5 "Id" : "ka0D00000004CcQ"
6}, {
7 "attributes" : {
8 "type" : "KnowledgeArticleVersion",
9 "url" : "/services/data/v56.0/sobjects/KnowledgeArticleVersion/ka0D00000004CXo"
10 },
11 "Id" : "ka0D00000004CXo"
12} ]Usage
Salesforce Knowledge must be enabled in your organization. The user must have the “View Articles” permission enabled. The articles suggested include only the articles the user can access, based on the data categories and article types the user has permissions to view.
Articles are suggested based on a relevance algorithm. The suggestedArticles resource is designed to get the IDs of articles relevant to a case, work order, or work order line item. It’s intended to be used with other services that than use the IDs to get article data for display.